vgp.minimal.weier

## Class PgWeierstrass_Costa

- java.lang.Object
- - jv.object.PsObject
  - - vgp.minimal.weier.PgWeierstrassDescr
    - - vgp.minimal.weier.PgWeierstrass_Costa

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf

      public class PgWeierstrass_Costa
      extends PgWeierstrassDescr

  Descriptor class for Costa's surface TODO: double b in der Berechnung von g(z) möglichst genau bestimmen
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class vgp.minimal.weier.PgWeierstrassDescr

      `m_numUserReflections, REFLECT_LINE, REFLECT_PLANE`

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgWeierstrass_Costa()` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `connectReflection(PiVector partPath, int patchIndex)` Define flag to glue reflection polygons.
    `PuComplex` | `f(PuComplex z)` Weierstrass function f.
    `PuComplex` | `g(PuComplex z)` Weierstrass function g.
    `void` | `getBndReflectType(PiVector partPath, int patchIndex, PiVector bndReflectType)` Information of reflection type.
    `void` | `getConnections(PiVector partPath)` Glue patches.
    `int` | `getNumParts(PiVector partPath)` Get number of patches.
    `int` | `getNumULines(int patchIndex)` Get number of U lines for a patch to be integrated.
    `int` | `getNumVLines(int patchIndex)` Get number of V lines for a patch to be integrated.
    `void` | `getReflections(PiVector partPath)` Reflect patches.
    `void` | `init()` Initialization.
    `boolean` | `partIsSubdivided(PiVector partPath, int patchIndex)` Information, if a patch is composed of smaller patches.
    `PuComplex` | `transform(int patchIndex, PuComplex z)` Transform rectangular domain to an adequate domain in the complex plane.
    `boolean` | `update(java.lang.Object event)` Update the class whenever a child has changed.
    `PuComplex` | `w(PuComplex z)` Internal function, used for the computation of f and g.

    - ### Methods inherited from class vgp.minimal.weier.PgWeierstrassDescr

      `addParameter, connectPart, connectReflection, equals, equals, equals, fun, getConnections, getConnections, getDimOfElements, getFStart, getFStart, getMarkedBndNr, getNumIntegratedPatches, getNumParts, getReflections, getReflections, getStartU, getStartV, getUMax, getUMin, getVMax, getVMin, isEnabledMarkBnd, newReflection, reflectPart, returnUserReflections, setConnections, setDomain, setEnabledMarkBnd, setMarkedBndNr, setNumIntegratedPatches, setPartBndNr, setReflection, setReflectPartNr, setUMax, setUMin, setVertDim, setVMax, setVMin, transform`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PgWeierstrass_Costa

          public PgWeierstrass_Costa()

      Constructor.

  - ### Method Detail

    - #### init

          public void init()

      Initialization.
      Overrides:
        `init` in class `PgWeierstrassDescr`

    - #### update

          public boolean update(java.lang.Object event)

      Update the class whenever a child has changed. Method is usually invoked from the children.
      Specified by:
        `update` in interface `PsUpdateIf`
      Overrides:
        `update` in class `PgWeierstrassDescr`
      Parameters:
        `event` - carries a lot of information
      Returns:
        true if event has been handled, otherwise false
      See Also:
        `PsObject.setParent(PsUpdateIf)`, `PsObject.getFather()`, `PsObject.addUpdateListener(PsUpdateIf)`

    - #### getNumULines

          public int getNumULines(int patchIndex)

      Get number of U lines for a patch to be integrated.
      Overrides:
        `getNumULines` in class `PgWeierstrassDescr`

    - #### getNumVLines

          public int getNumVLines(int patchIndex)

      Get number of V lines for a patch to be integrated.
      Overrides:
        `getNumVLines` in class `PgWeierstrassDescr`

    - #### transform

          public PuComplex transform(int patchIndex,
                            PuComplex z)

      Transform rectangular domain to an adequate domain in the complex plane.
      Overrides:
        `transform` in class `PgWeierstrassDescr`

    - #### w

          public PuComplex w(PuComplex z)

      Internal function, used for the computation of f and g.

    - #### f

          public PuComplex f(PuComplex z)

      Weierstrass function f.
      Specified by:
        `f` in class `PgWeierstrassDescr`

    - #### g

          public PuComplex g(PuComplex z)

      Weierstrass function g.
      Specified by:
        `g` in class `PgWeierstrassDescr`

    - #### getConnections

          public void getConnections(PiVector partPath)

      Glue patches.
      Overrides:
        `getConnections` in class `PgWeierstrassDescr`

    - #### getNumParts

          public int getNumParts(PiVector partPath)

      Get number of patches.
      Overrides:
        `getNumParts` in class `PgWeierstrassDescr`

    - #### getReflections

          public void getReflections(PiVector partPath)

      Reflect patches.
      Overrides:
        `getReflections` in class `PgWeierstrassDescr`

    - #### getBndReflectType

          public void getBndReflectType(PiVector partPath,
                               int patchIndex,
                               PiVector bndReflectType)

      Information of reflection type.
      Overrides:
        `getBndReflectType` in class `PgWeierstrassDescr`

    - #### connectReflection

          public boolean connectReflection(PiVector partPath,
                                  int patchIndex)

      Define flag to glue reflection polygons.
      Overrides:
        `connectReflection` in class `PgWeierstrassDescr`

    - #### partIsSubdivided

          public boolean partIsSubdivided(PiVector partPath,
                                 int patchIndex)

      Information, if a patch is composed of smaller patches.
      Overrides:
        `partIsSubdivided` in class `PgWeierstrassDescr`

"

The software JavaView? is copyright protected. All Rights Reserved.
"